Returns a wallet by its unique identifier.
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/wallets/{walletId} \
--header 'Authorization: Bearer <token>'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"name": "An example name",
"chain": "ETH",
"publicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"provider": "browserExtension",
"properties": {
"turnkeySubOrganizationId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyPrivateKeyId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyHDWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
"isAuthenticatorAttached": true,
"turnkeyUserId": "95b11417-f18f-457f-8804-68e361f9164f",
"isSessionKeyCompatible": true,
"version": "V1",
"ecdsaProviderType": "zerodev_signer_to_ecdsa",
"entryPointVersion": "v6",
"kernelVersion": "v2_4"
},
"lastSelectedAt": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the wallet
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Successful response with wallet
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
ETH, EVM, FLOW, SOL, ALGO, STARK, COSMOS, BTC, ECLIPSE, SUI, SPARK, TRON, APTOS, TON, STELLAR, ALEO, TEMPO, MIDNIGHT Valid blockchain wallet address, must be an alphanumeric string (underscores allowed for chains like Midnight)
255^[A-Za-z0-9_]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
browserExtension, custodialService, walletConnect, qrCode, deepLink, embeddedWallet, smartContractWallet Show child attributes
ISO 8601 timestamp of when the user last selected this wallet as active
Was this page helpful?
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/wallets/{walletId} \
--header 'Authorization: Bearer <token>'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"name": "An example name",
"chain": "ETH",
"publicKey": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"provider": "browserExtension",
"properties": {
"turnkeySubOrganizationId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyPrivateKeyId": "95b11417-f18f-457f-8804-68e361f9164f",
"turnkeyHDWalletId": "95b11417-f18f-457f-8804-68e361f9164f",
"isAuthenticatorAttached": true,
"turnkeyUserId": "95b11417-f18f-457f-8804-68e361f9164f",
"isSessionKeyCompatible": true,
"version": "V1",
"ecdsaProviderType": "zerodev_signer_to_ecdsa",
"entryPointVersion": "v6",
"kernelVersion": "v2_4"
},
"lastSelectedAt": "<string>"
}